aboutsummaryrefslogtreecommitdiffstats
path: root/keystone-moon/debian/keystone.prerm
diff options
context:
space:
mode:
authorThomas Duval <thomas.duval@orange.com>2016-08-01 17:29:50 +0200
committerThomas Duval <thomas.duval@orange.com>2016-08-01 17:29:50 +0200
commit860e7fd7b81f956b54b25224efbd69ff9b1d1cc7 (patch)
treeea31fbc59c7897261be1f935d4a4d2e6f9517331 /keystone-moon/debian/keystone.prerm
parentf229ce96c7ce192db501b0da538e9b8c8ec7f1d1 (diff)
Update script for debian package creation.
Change-Id: I0860633b9dc1aedd89e0272b92cb17022d35d01c
Diffstat (limited to 'keystone-moon/debian/keystone.prerm')
-rw-r--r--keystone-moon/debian/keystone.prerm15
1 files changed, 15 insertions, 0 deletions
diff --git a/keystone-moon/debian/keystone.prerm b/keystone-moon/debian/keystone.prerm
new file mode 100644
index 00000000..9f89a1ae
--- /dev/null
+++ b/keystone-moon/debian/keystone.prerm
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_get keystone/configure_db
+if [ "$RET" = "true" ]; then
+ . /usr/share/dbconfig-common/dpkg/prerm
+ dbc_go keystone $@
+fi
+
+#DEBHELPER#
+
+exit 0